// APIPublisher.aidl
package com.transsion.apiinvoke.ipc;

import com.transsion.apiinvoke.ipc.SubscribeStateChangeObserver;
import com.transsion.apiinvoke.ipc.ParcelPublishData;

interface APIPublisher {

    SubscribeStateChangeObserver getSubscribeStateChangeObserver();

    // 申明跨进程IPC发布能力
    void onPublishData(in ParcelPublishData publishData);

    // 获取本地订阅列表
    String[] getLocalSubscribeTypes();
}